mode(-1)
path=get_file_path('builder.sce')
if path=='.' then path='./',end
files = [
  'C-LAB_Interf'
  'FRACLAB_compat'
  'MFAM_concave_hull'
  'MFAM_density'
  'MFAM_kernel'
  'MFAM_law'
  'MFAM_legendre'
  'MFAM_lepskii'
  'MFAM_measure'
  'MFAM_misc'
  'MFAM_oscillation'
  'MFAM_random'
  'MFAM_regression'
  'MFAM_stats'
  'MFAM_tree'
  'CWT1D_Convol'
  'CWT1D_DefWavelet'
  'CWT1D_WTransform'
  'CWT1D_Wavelet'
  'GIFS_util'
  'GIFS_alphacoefsigne'
  'GIFS_triangle2triangle'
  'MFAS_binomial'
  'MFAS_multinomial'
  'MFAS_multinomial_2d'
  'MFAS_lognormal'
  'MFAS_spectrum'
  'gif'
  'gifcomp'
  'gifdecomp'
  'gifrd'
  'gifwr'
  'quantize'
  'WT_arbre'
  'WT_filters'
  'WT_mem'
  'WT_wavelet_transform'
  'MFAG_continuous'
  'MFAG_hoelder'
  'MFAG_misc'
  'WT2D_filters'
  'WT2D_mem'
  'WT2D_arbre'
  'WT2D_wavelet_transform'
  'MFAL_discrete'
  'MFAL_partition'
  'MFAL_reyni'
  'sim_stable'
  'McCulloch'
  'Koutrouvelis'
  'stable_sm'
  'stable_test'
  'stable_cov'
  'HOLDER2D_meascalc'
  'WSAF_util'
  'WSAF_modelise'
  'LAB_beep'
  'LAB_bbch'
  'LAB_linearlt'
  'LAB_lepskiiap'
  'LAB_monolr'
  'LAB_cwt'
  'LAB_alphagifs'
  'LAB_sgifs'
  'LAB_prescalpha'
  'LAB_fif'
  'LAB_binom'
  'LAB_sbinom'
  'LAB_multim1d'
  'LAB_multim2d'
  'LAB_smultim1d'
  'LAB_smultim2d'
  'LAB_readgif'
  'LAB_FWT'
  'LAB_IWT'
  'LAB_WTDwnHi'
  'LAB_WTDwnLo'
  'LAB_fch1d'
  'LAB_fcfg1d'
  'LAB_mch1d'
  'LAB_mcfg1d'
  'LAB_cfg1d'
  'LAB_FWT2D'
  'LAB_IWT2D'
  'LAB_mdzq1d'
  'LAB_mdzq2d'
  'LAB_reynitq'
  'LAB_mdfl1d'
  'LAB_sim_stable'
  'LAB_McCulloch'
  'LAB_Koutrouvelis'
  'LAB_stable_sm'
  'LAB_stable_test'
  'LAB_stable_cov'
  'LAB_holder2d'
  'LAB_gifseg'
  'LAB_wave2gifs'
  'LAB_gifs2wave'
  'Interf_fraclab'];
makename=ilib_gen_Make('libfraclab',files,[],path+'routines/Makefile',%f)
makename=strsubst(makename,'.mak','')
libn=ilib_compile('libfraclab',makename)
genlib('fraclablib',path+'macros')

funs=["beep"
    "bbch"
    "linearlt"
    "lepskiiap"
    "monolr"
    "cwt"
    "alphagifs"
    "sgifs"
    "prescalpha"
    "fif"
    "binom"
    "sbinom"
    "multim1d"
    "multim2d"
    "smultim1d"
    "smultim2d"
    "readgif"
    "FWT"
    "IWT"
    "WTDwnHi"
    "WTDwnLo"
    "fch1d"
    "fcfg1d"
    "mch1d"
    "mcfg1d"
    "cfg1d"
    "FWT2D"
    "IWT2D"
    "mdzq1d"
    "mdzq2d"
    "reynitq"
    "mdfl1d"
    "sim_stable"
    "McCulloch"
    "Koutrouvelis"
    "stable_sm"
    "stable_test"
    "stable_cov"
    "holder2d"
    "gifseg"
    "wave2gifs"
    "gifs2wave"]

    
    
name='fraclab'   
fd=mopen(path+'loader.sce',"w");
mfprintf(fd,"mode(-1)\n")
mfprintf(fd,"// generated by builder.sce: Please do not edit this file\n");
mfprintf(fd,"// ------------------------------------------------------\n");
mfprintf(fd,"%s_path=get_file_path(''loader.sce'');\n",name);
mfprintf(fd,"if %s_path==''.'' then %s_path=''./'',end;\n",name,name);
mfprintf(fd,"functions=[\n");
mfprintf(fd,"            ''%s'';\n",funs)
mfprintf(fd,"];\n");
mfprintf(fd,"addinter(''%s'',''fraclab_interf'',functions);\n",libn);
mfprintf(fd,"\n")
mfprintf(fd,"genlib(''fraclablib'',%s_path+''macros'')\n",name)
mfprintf(fd,"demolist=[demolist;''Fractal signal analysis'',%s_path+''demos/fraclab.dem'']\n",name);

mfprintf(fd,"%%helps=[%%helps;%s_path+''man'',''Fractal Signal Analysis'']\n",name)
mclose(fd);


