function [h]=convol2(x,y,z)
//convoluate the real vector x with the coluns of z
//           the real vector y with the lines of z
//      or
//          if no z in entries, the real matrix x with the real matix y


[nargout,nargin] = argn();
narg=nargin;
if narg==3
  [n,p]=size(z);
  nl=length(x);
  nc=length(y);
  if size(x,2)==1
    x=x'
  end
  x=[x,zeros(1,n-1)];
  if size(y,2)==1
    y=y'
  end
  y=[y,zeros(1,p-1)];
  z=[z,zeros(n,nc-1);zeros(nl-1,p+nc-1)];
  zf=fft(z,-1);
  xf=fft(x',-1);
  yf=fft(y,-1);
  xf=xf(:,ones(1,p+nc-1));
  yf=yf(ones(1,n+nl-1),:);
  h=fft(zf.*xf.*yf,1);
else
  [nx,px]=size(x);
  [ny,py]=size(y);
  x=[x,zeros(nx,py-1);zeros(ny-1,px+py-1)];
  y=[y,zeros(ny,px-1);zeros(nx-1,px+py-1)];
  xf=fft(x,-1);
  yf=fft(y,-1);
  h=fft(xf.*yf,1);
end
h=real(h);




