.TH "symcori" 2 " February 20th 1998" "Fractales Group" "Scilab Function"

.SH NAME
symcori - Symmetrization of a periodic 2D correlation field
.sp
Author: B. Pesquet-Popescu (ENS-Cachan)
.sp
Symmetrization of a periodic 2D correlation field 
.sp
.sp
.SH Usage
.nf
Ss = symcori(S) ;
.fi 
.SH Input parameters


.RS

.TP
o 
\fB S \fP : Matrix [N/2+1 , N] 
Periodic 2D correlation field S(1:N/2+1,1:N) of a complex 2D
NxN field. Values of S(1,N/2+2:N) may be arbitrary.
.RE

.SH Output parameters


.RS

.TP
o 
\fB Ss \fP :  Matrix [N , N]
Symetrized correlation field
.RE

.SH See also:
synth2, strfbm
