.TH "isempty" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
isempty - Checks if a matrix is empty
.sp
Author: Paulo Goncalves
.sp
\fIisempty\fP True for empty matrix.
\fIisempty(x)\fP returns %T if x is an empty array and %F otherwise. An
empty array has no elements, that is prod(size(X))==0.
.sp
.sp
.SH Usage
.nf
isempty(x)
.fi 
.sp
.SH Input parameters


.RS

.TP
o 
\fBx\fP : Real or complex valued matrix [rx,cx]
.RE

.SH See also:
all
